#
# spec file for package zoo (Version 2.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           zoo
License:        distributable, Other License(s), see package
Group:          Productivity/Archiving/Compression
Autoreqprov:    on
Version:        2.10
Release:        877.2
Summary:        Pack Program
Source:         zoo.tar.gz
Patch0:         zoo.patch
Patch1:         zoo-%{version}-tempfile.patch
Patch2:         zoo-gcc.patch
Patch3:         zoo-%{version}-CAN-2005-2349.patch
Patch4:         zoo-return.patch
Patch5:         zoo-security_pathsize.patch
Patch6:         zoo-security_parse.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zoo is a packer based on the Lempel-Ziv algorithm. Lots of files on
DOS/AmigaDOS and TOS systems used this packer for their archives. The
compression rate of gzip is not reached, and thus zoo should only be
used for decompressing old archives.



Authors:
--------
    Ian Phillipps    <igp@camcon.co.uk>
    J. Brian Waters  <jbwaters@bsu-cs.bsu.edu>
    Paul Homchick    <rutgers!cgh!paul>
    Mark Alexander   <amdahl!drivax!alexande>
    Randal L. Barnes <rlb@skyler.mavd.honeywell.com>

%debug_package
%prep
%setup -q -n zoo
%patch0
%patch1 -p1
%patch2 -p1
%patch3
%patch4
%patch5
%patch6

%build
make linux OPTIM="$RPM_OPT_FLAGS -fstack-protector"

%install
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
install zoo fiz $RPM_BUILD_ROOT/usr/bin
install -m 644 zoo.1 fiz.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
 

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc Copyright
/usr/bin/fiz
/usr/bin/zoo
%doc %{_mandir}/man1/fiz.1.gz
%doc %{_mandir}/man1/zoo.1.gz

%changelog -n zoo
* Mon Mar 06 2006 - lmichnovic@suse.cz
- fixed buffer overflow (security_parse.patch) [155371]
* Fri Feb 24 2006 - lmichnovic@suse.cz
- fixed security bug: buffer overflow when handling long filenames
  CVE-2006-0855 [#153057]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - lmichnovic@suse.cz
- wrote clean section
* Tue Jan 17 2006 - lmichnovic@suse.cz
- enabled compilation with -fstack-protector
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
- Use RPM_OPT_FLAGS.
- Fix random return values.
* Mon Aug 15 2005 - ro@suse.de
- fix typo in last change
* Mon Aug 15 2005 - mjancar@suse.cz
- add check for ".." to the CAN-2005-2349 fix (#62234)
* Thu Aug 11 2005 - anicka@suse.cz
- fix CAN-2005-2349 directory traversal bug (#62234)
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root
* Mon Nov 25 2002 - jderfina@suse.cz
- Replaced varargs.h with stdarg.h and adapted for new gcc.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jan 18 2002 - okir@suse.de
- fix for tempfile race
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Tue Aug 22 2000 - nadvornik@suse.cz
- added buildroot
- fixed permissions
* Sat Feb 19 2000 - kasal@suse.cz
- got rid of Makefile.Linux
- moved manpages to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 09 1998 - ro@suse.de
- renamed function basename to my_basename to avoid conflict with glibc
* Thu Feb 06 1997 - rj@suse.de
- new package (Version 2.10)
